FMOD(3)

NAME
fmod, fmodf, fmodl - floating-point remainder function

SYNOPSIS
#include <math.h>

double fmod(double x, double y);
float fmodf(float x, float y);
long double fmodl(long double x, long double y);

Link with -lm.

DESCRIPTION
The fmod() function computes the remainder of dividing x by y. The return value is x - n * y, where n is the quotient of x / y, rounded towards zero to an integer.

RETURN VALUE
The fmod() function returns the remainder, unless y is zero, when the function fails and errno is set.

ERRORS

EDOM
    The denominator y is zero.

CONFORMING TO
SVr4, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
remainder(3)

COLOPHON
This page is part of release 2.70 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.